## mingw-w64-tixi-3.3.0-4.src.tar.zst

=== bindings/CMakeLists.txt ===
add_subdirectory(matlab)
add_subdirectory(python)
add_subdirectory(cpp)

if (TIXI_ENABLE_FORTRAN)
  add_subdirectory(fortran03)
  add_subdirectory(fortran)
endif(TIXI_ENABLE_FORTRAN)
